# eric4.PluginManager.PluginInfoDialog

Module implementing the Plugin Info Dialog.

### Global Attributes

None

### Classes

PluginInfoDialog | Class implementing the Plugin Info Dialog.

### Functions

None

## PluginInfoDialog

Class implementing the Plugin Info Dialog.

### Derived from

QDialog, Ui_PluginInfoDialog

### Class Attributes

None

### Class Methods

None

### Methods

PluginInfoDialog | Constructor
__activatePlugin | Private slot to handle the "Deactivate" context menu action.
__createEntry | Private method to create a list entry based on the provided info.
__deactivatePlugin | Private slot to handle the "Activate" context menu action.
__populateList | Private method to (re)populate the list of plugins.
__showContextMenu | Private slot to show the context menu of the listview.
__showDetails | Private slot to handle the "Show details" context menu action.
on_pluginList_itemActivated | Private slot to show details about a plugin.

### Static Methods

None

#### PluginInfoDialog (Constructor)

PluginInfoDialog(pluginManager, parent = None)

Constructor

pluginManager
  reference to the plugin manager object
parent
  parent of this dialog (QWidget)

#### PluginInfoDialog.__activatePlugin

__activatePlugin()

Private slot to handle the "Deactivate" context menu action.

#### PluginInfoDialog.__createEntry

__createEntry(info)

Private method to create a list entry based on the provided info.

info
  tuple giving the info for the entry

#### PluginInfoDialog.__deactivatePlugin

__deactivatePlugin()

Private slot to handle the "Activate" context menu action.

#### PluginInfoDialog.__populateList

__populateList()

Private method to (re)populate the list of plugins.

#### PluginInfoDialog.__showContextMenu

__showContextMenu(coord)

Private slot to show the context menu of the listview.

coord
  the position of the mouse pointer (QPoint)

#### PluginInfoDialog.__showDetails

__showDetails()

Private slot to handle the "Show details" context menu action.

#### PluginInfoDialog.on_pluginList_itemActivated

on_pluginList_itemActivated(item, column)

Private slot to show details about a plugin.

item
  reference to the selected item (QTreeWidgetItem)
column
  column number (integer)

Up